Bug 29791 - ee takes full cpu when killing shell without leaving ee before
Summary: ee takes full cpu when killing shell without leaving ee before
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 4.4-PRERELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-08-17 03:10 UTC by Oliver Lehmann
Modified: 2001-09-01 19:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Lehmann 2001-08-17 03:10:00 UTC
	/usr/bin/ee takes full cpu time when you kill the shell on which ee was started

Fix: 

Don't know...
How-To-Repeat: 	on shell 1:
	 ee some-file

	on shell 2:
	 kill -9 'pid-of-shell1'
	 top

	you will see the ee process from shell 1 going to the top of top ;)
Comment 1 mheffner 2001-08-17 05:09:11 UTC
On 17-Aug-2001 Oliver Lehmann wrote:
| 
|       
|>Description:
|       /usr/bin/ee takes full cpu time when you kill the shell on which ee was
| started 

You might want to take this up with the EasyEditor author, Hugh F. Mahon
<hmahon@uswest.net>. We can then update our source from the authors source.

Mike

-- 
  Mike Heffner         <mheffner@[acm.]vt.edu>
  Fredericksburg, VA       <mikeh@FreeBSD.org>
Comment 2 Oliver Lehmann 2001-08-18 15:08:41 UTC
hugh has fixed the problem. the new source is available under

   http://mahon.cwx.net/temporary/ee-1.4.4.src.tgz



--- mail start:


Hello Oliver,

	Thank you for letting me know about this.  I've added
some code to check for the parent process going away.  Seems
like things should be easier than this but I don't know off
the top of my head.

	I have put the version with changes to address the
defect in:

		http://mahon.cwx.net/temporary/ee-1.4.4.src.tgz

	Please give this version a try and see if it solves
the problem.  (I was able to reproduce the defect on Linux, but
don't have a FreeBSD system set up with which to verify the fix.)

	Once you let me know that this works I'll move it to the
regular location for sources, and also make similar changes to
aee.  (And if you tell me it doesn't work it'll be back to the
drawing board :-( ).


---- mail end

I've tested it on my system at it worked

Greetings Olli
Comment 3 Mark Peek freebsd_committer 2001-09-01 19:20:23 UTC
State Changed
From-To: open->closed

Dup of 29553 which is fixed in -current and -stable. It still might make 
sense to update to ee-1.4.4 but the committed fix was simple.